import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'vn_pay_platform_interface.dart';

/// An implementation of [VnPayPlatform] that uses method channels.
class MethodChannelVnPay extends VnPayPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('vn_pay');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
