import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'vn_pay_method_channel.dart';

abstract class VnPayPlatform extends PlatformInterface {
  /// Constructs a VnPayPlatform.
  VnPayPlatform() : super(token: _token);

  static final Object _token = Object();

  static VnPayPlatform _instance = MethodChannelVnPay();

  /// The default instance of [VnPayPlatform] to use.
  ///
  /// Defaults to [MethodChannelVnPay].
  static VnPayPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [VnPayPlatform] when
  /// they register themselves.
  static set instance(VnPayPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
